API Method: StartActionByGet (deprecated)
|
Despite its name, this method no longer supports |
Migrating to StartAction
StartActionByGet takes only an actionId, and returns an Execution Tracking ID. StartAction does the same with bindingId - for a normal action, the binding ID is the same as the action id from your config.yaml (see Action IDs vs Binding IDs).
Before (deprecated)
user@host: curl http://olivetin.example.com:1337/api/StartActionByGet --json '{"actionId": "pingGithub"}'
After
user@host: curl http://olivetin.example.com:1337/api/StartAction --json '{"bindingId": "pingGithub"}'
{"executionTrackingId":"ff7d6f13-af8f-4ebe-8174-ad4cc7197b45"}